# Generated by Django 4.1.5 on 2023-01-24 05:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("common", "0003_alter_department_display_picture"),
    ]

    operations = [
        migrations.AlterField(
            model_name="department",
            name="department_members",
            field=models.ManyToManyField(
                related_name="department",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Members of the department",
            ),
        ),
        migrations.CreateModel(
            name="Config",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "director",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="ifp_director",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "gensec",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="ifp_gensec",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
